#
# PGBRowse Action
#
# This is an example action which takes filenames from a Query
# Results window and copies them to a directory the user locates
# with the Tku_FdDir dialog.  Any status bars open at the time
# are updated with the file being copied using Tku_Working
#
# $Header: /nfs/home/olive.s2k/src/base/local/tk/pgb3.0/actions/Examples/filecopy/RCS/pgb.tcl,v 1.1 1993/12/06 18:22:17 jimbo Exp $
#

set Name "File Copy"
set Help "Copies files to a directory"
proc Action {ignored} {
	    # use a tku.tcl utility to get a directory name
	    if {[set newdir [Tku_FdDir]] == ""} return
	    # get a list of filenames and copy them
	    if {[set col [ActionColNum filename]] == -1} return
	    foreach file [ActionGetCol $col] {
		Tku_Working "Copying $file..."
		if [catch {exec cp $file $newdir} err] {
			Tku_Error "Copy error on file: $file:  $err"
			return
		}
	    }
	    Tku_Waiting
}
