#
# log.tcl - procedures to support the log window
#
# $Header: /nfs/home/src/base/local/tk/pgb3.0/lib/RCS/log.tcl,v 1.1 1993/12/06 20:04:23 jimbo Exp $
#

# ---------------------------------------------------------------------------
# LogClose - hide the log window
# ---------------------------------------------------------------------------
proc LogClose {} {update; wm withdraw .log}

# ---------------------------------------------------------------------------
# LogClear - clear the log window
# ---------------------------------------------------------------------------
proc LogClear {} {
    .log.text conf -state normal
    .log.text delete 0.0 end
    .log.text conf -state disabled
}

# ---------------------------------------------------------------------------
# Log -	add a message to the log
# ---------------------------------------------------------------------------
proc Log {msg code} {
    if ![winfo exists .log] return
    .log.text conf -state normal
    .log.text insert end "$code\n$msg\n\n"
    .log.text conf -state disabled
    .log.text yview -pickplace end
    update
}

# ---------------------------------------------------------------------------
# LogOpen - opens the log window
# ---------------------------------------------------------------------------
proc LogOpen {} {
    if [winfo ismapped .log] return
    wm deiconify .log
    tkwait visibility .log.text
    focus .log.text
    .log.text yview -pickplace 0.0
}

# ---------------------------------------------------------------------------
# LogSave - prompts user for and then saves log to a file
# ---------------------------------------------------------------------------
proc LogSave { } {
    if {[set fd [Tku_FdOpenW "Save Postquel Log" -file pgb.log]] == ""} {return 0}
    puts $fd [.log.text get 0.0 end]
    close $fd
}

